POST V1/Inventory.{ext}/AddVendorDetails

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.VendorEntity
NameDescriptionTypeAdditional information
VendorId

No description available

string

None.

VendorName

No description available

string

None.

VendorNumber

No description available

string

None.

Status

No description available

string

None.

EIAId

No description available

string

None.

ContactPerson

No description available

string

None.

Contact

No description available

string

None.

EmailId

No description available

string

None.

City

No description available

string

None.

Country

No description available

string

None.

State

No description available

string

None.

Address1

No description available

string

None.

Address2

No description available

string

None.

Zip

No description available

string

None.

VendorCode

No description available

string

None.

VendorAddress

No description available

Collection of EMS.Inventory.Entities.VendorAddress

None.

Request Formats

application/json, text/json

Sample:
{
  "vendorAddress": [
    {
      "city": "sample string 1",
      "country": "sample string 2",
      "state": "sample string 3",
      "address1": "sample string 4",
      "address2": "sample string 5",
      "zip": "sample string 6"
    },
    {
      "city": "sample string 1",
      "country": "sample string 2",
      "state": "sample string 3",
      "address1": "sample string 4",
      "address2": "sample string 5",
      "zip": "sample string 6"
    }
  ],
  "vendorId": "sample string 1",
  "vendorName": "sample string 2",
  "vendorNumber": "sample string 3",
  "status": "sample string 4",
  "eiaId": "sample string 5",
  "contactPerson": "sample string 6",
  "contact": "sample string 7",
  "emailId": "sample string 8",
  "city": "sample string 9",
  "country": "sample string 10",
  "state": "sample string 11",
  "address1": "sample string 12",
  "address2": "sample string 13",
  "zip": "sample string 14",
  "vendorCode": "sample string 15"
}

application/xml, text/xml

Sample:
<VendorEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Address1>sample string 12</Address1>
  <Address2>sample string 13</Address2>
  <City>sample string 9</City>
  <Contact>sample string 7</Contact>
  <ContactPerson>sample string 6</ContactPerson>
  <Country>sample string 10</Country>
  <EIAId>sample string 5</EIAId>
  <EmailId>sample string 8</EmailId>
  <State>sample string 11</State>
  <Status>sample string 4</Status>
  <VendorAddress>
    <VendorAddress>
      <Address1>sample string 4</Address1>
      <Address2>sample string 5</Address2>
      <City>sample string 1</City>
      <Country>sample string 2</Country>
      <State>sample string 3</State>
      <Zip>sample string 6</Zip>
    </VendorAddress>
    <VendorAddress>
      <Address1>sample string 4</Address1>
      <Address2>sample string 5</Address2>
      <City>sample string 1</City>
      <Country>sample string 2</Country>
      <State>sample string 3</State>
      <Zip>sample string 6</Zip>
    </VendorAddress>
  </VendorAddress>
  <VendorCode>sample string 15</VendorCode>
  <VendorId>sample string 1</VendorId>
  <VendorName>sample string 2</VendorName>
  <VendorNumber>sample string 3</VendorNumber>
  <Zip>sample string 14</Zip>
</VendorEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.